## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramEditorUtil.LazyElement2ViewMap

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramEditorUtil.LazyElement2ViewMap

Enclosing class:
  EcoreDiagramEditorUtil

    public static class EcoreDiagramEditorUtil.LazyElement2ViewMap

extends java.lang.Object

Field Summary
`java.util.List` `editPartTmpHolder`

Constructor Summary
`EcoreDiagramEditorUtil.LazyElement2ViewMap(org.eclipse.gmf.runtime.notation.View scope, java.util.Set elements)`

Method Summary
`java.util.Map` `getElement2ViewMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editPartTmpHolder

    public final java.util.List editPartTmpHolder

Constructor Detail

### EcoreDiagramEditorUtil.LazyElement2ViewMap

    public EcoreDiagramEditorUtil.LazyElement2ViewMap(org.eclipse.gmf.runtime.notation.View scope,
                                                      java.util.Set elements)

Method Detail

### getElement2ViewMap

    public final java.util.Map getElement2ViewMap()

Copyright 2007 Anyware Technologies. All Rights Reserved.